Article ID: 1770, created on Feb 10, 2009, last review on May 11, 2014

  • Applies to:
  • Plesk for Windows

Resolución

Este artículo describe las versiones de PHP que puede usar en Parallels Plesk Panel y la configuración recomendada para los archivos php.ini.

Parallels Plesk Panel incluye y soporta dos versiones de PHP: PHP4 y PHP5. PHP puede funcionar en dos modos: como CGI o como ISAPI. Ambas versiones de PHP usan archivos php.ini, que varían en función de la versión de PHP.

La ubicación por defecto de php.ini para PHP4 es el directorio base de Windows %systemroot%.

La ubicación por defecto de php.ini para PHP5 es el directorio base de PleskPHP5 %plesk_dir%Additional\PleskPHP5

Puede usar un php.ini personalizado con PHP4 en modo CGI. Para ello, es necesario que el archivo php.ini esté en la carpeta /httpdocs.

Pero no existe ninguna opción con PHP4 en modo ISAPI que siempre use el php.ini por defecto de PHP4. Además, esto tampoco es posible con PHP5 en ningún modo, donde se usa el php.ini por defecto de PHP5.

La ubicación por defecto del archivo php.ini en PHP5 la define el siguiente valor en el registro:

HKEY_LOCAL_MACHINE\SOFTWARE\PHP\5\IniFilePath

Información Adicional

Si desea más información sobre las diferencias entre los modos CGI e ISAPI, consulte el siguiente artículo:

http://msdn2.microsoft.com/en-us/library/ms525172.aspx

85a92ca67f2200d36506862eaa6ed6b8 a914db3fdc7a53ddcfd1b2db8f5a1b9c 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF